* {
    margin: 0;
    padding: 0;
    font-family: 'Open Sans', sans-serif;
    box-sizing: border-box;

}

/* body, html {
    width: 100%;
    height: 100%;
    -webkit-font-smoothing: antialiased;
} */

html {
    /* height: 100vh; */
    overflow: hidden;
}

body {
    overflow: scroll;
    height: 100vh;
    /* height: calc(var(--vh, 1vh) * 100); */
    scroll-snap-type: mandatory;
    scroll-snap-points-y: repeat(100vh);
    /* scroll-snap-points-y: repeat(calc(var(--vh, 1vh) * 100)); */
    scroll-snap-type: y mandatory;
    overflow-x: hidden;
}

a {
    text-decoration: none;
    color: #fff;
}

/* body{ 
    scroll-snap-type: mandatory;
    scroll-snap-points-y: repeat(100vh);
    scroll-snap-type: y mandatory;
    scroll-snap-destination: 0 0;
    overflow-y: scroll;
    overflow-scrolling: touch;
    -webkit-overflow-scrolling: touch;
    -moz-overflow-scrolling: touch;
    -o-overflow-scrolling: touch;
 
} */

/* .main {
    scroll-snap-type: mandatory;
    scroll-snap-points-y: repeat(100vh);
    scroll-snap-type: y mandatory;
    scroll-snap-destination: 0 0;
    overflow-y: scroll;
    height: 100vh;
} */

.bg-color {
    width: 100%;
    height: calc(var(--vh, 1vh) * 100);
    position: fixed;
    z-index: -10;
    background: #0b4a64; /* Old browsers */
    background: -moz-linear-gradient(220deg, #0b4a64 0%, #050f1e 100%);
    background: -webkit-linear-gradient(220deg, #0b4a64 0%,#050f1e 100%);
    background: linear-gradient(220deg, #0b4a64 0%,#050f1e 100%);
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#0b4a64', endColorstr='#050f1e',GradientType=1 );
}

.wrapper {
    display: flex;
    flex-direction: column;
    margin: 0;
    width: 95vw;
    margin: 0 auto;
}

.wrapper header {
    display: flex;
    z-index: 10;
    margin-top: 40px;
}

.wrapper header .menu {
    width: 95vw;
    pointer-events: auto;
}

.wrapper header .menu .main-menu {
    display: flex;
    height: 47px;
    justify-content: flex-end;
    flex-direction: row;
    color: white;
    list-style: none;
    align-items: center;
}



.wrapper header .menu .main-menu .contact_us_button {
    width: 207px;
    height: 37px;
    padding: 10px;
    padding-left: 20px;
    padding-right: 20px;
    border: 1px solid white;
    color: #fff;
    text-align: center;
    text-transform: lowercase;
    margin-left: 1px;
    line-height: 35px;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    border-radius: 5px;
    -webkit-transition: background-color 0.3s ease-out 0.1s, color 0.3s ease-out 0.1s;
    -moz-transition: background-color 0.3s ease-out 0.1s, color 0.3s ease-out 0.1s;
    -o-transition: background-color 0.3s ease-out 0.1s, color 0.3s ease-out 0.1s;
    transition: background-color 0.3s ease-out 0.1s, color 0.3s ease-out 0.1s;
}

.wrapper header .menu .main-menu .contact_us_button:hover {
    background-color: #fff;
    color: #0b4a64;
}

.wrapper header .menu .main-menu a:visited {
    Color: #fff;
}

.wrapper header .menu .main-menu a {
    margin-right: 80px;
    transition: all .2s ease;
}

.wrapper header .menu .main-menu a:hover {
    color: #53a0ff;
}

.wrapper .fixed_content {
    width: 95vw;
    z-index: 100;
    pointer-events: none;
}

.wrapper .fixed_content a {
    pointer-events: auto;
}

.wrapper .fixed_content .screen {
    position: absolute;
    bottom: 0;
    z-index: 0;
    opacity: 100;
    transition: opacity 0.3s ease;
    -webkit-transition: opacity 0.3s ease;
    -moz-transition: opacity 0.3s ease;
    -o-transition: opacity 0.3s ease;
}

.wrapper .fixed_content .slide {
    position: absolute;
    bottom: 176px;
    z-index: 5;
    opacity: 100;
    margin-bottom: 0;
    transition: opacity 0.3s ease;
    -webkit-transition: opacity 0.3s ease;
    -moz-transition: opacity 0.3s ease;
    -o-transition: opacity 0.3s ease;
}

.wrapper .fixed_content .slide2 {
    position: absolute;
    bottom: 176px;
    z-index: 5;
    opacity: 0;
    margin-bottom: 0;
    transition: opacity 0.3s ease;
    -webkit-transition: opacity 0.3s ease;
    -moz-transition: opacity 0.3s ease;
    -o-transition: opacity 0.3s ease;
}

.wrapper .fixed_content .slide3 {
    position: absolute;
    bottom: 176px;
    z-index: 5;
    opacity: 0;
    margin-bottom: 0;
    transition: opacity 0.3s ease;
    -webkit-transition: opacity 0.3s ease;
    -moz-transition: opacity 0.3s ease;
    -o-transition: opacity 0.3s ease;
}

.my-paroller {
    font-size: 10rem;
    font-weight: 900;
    position: fixed;
    color: rgba(255, 255, 255, 0.05);
    top: 44%;
    z-index: -5;
    transition: margin-top 1s ease;
    -webkit-transition: margin-top 1s ease;
    -moz-transition: margin-top 1s ease;
    -o-transition: margin-top 1s ease;
    white-space: nowrap;
    margin-top: 0px;
}

.bg-lines {
    position: fixed;
    display: flex;
    justify-items: center;
    align-items: stretch;
    justify-content: space-around;
    margin-left: auto;
    margin-right: auto;
    width: 95vw;
    bottom: 0;
    height: 85vh;
    z-index: -5;

}

.bg-line {
    width: 1px;
    background-color: rgba(255, 255, 255, 0.1);
}

.main-flex {
    display: flex;
    flex: 1;
}

.main-flex > article {
    flex: 1;
    order: 2;
    height: 93vh;
    z-index: 5;
}

article > img {
    margin-left: -140px;
}

.main-flex > nav {
    flex: 0 0 20vw;
}

.main-flex > aside {
    flex: 0 0 43vw;

}

.main-flex > nav {
    order: 3;
}

.main-flex > aside {
    order: 1;
    display: flex;
    flex-direction: column;
    justify-content: center;

}

.fixed_content {
    position: fixed;
}

.offer_text_block_div {
    height: 94px;
}

.text_separator {
    height: 280px;
}

.offer_text_block {
    font-size: 4.3rem;
    font-weight: 100;
    background: linear-gradient(90deg, #b872ff, #53a0ff);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    display: table;
    opacity: 100;
    transition: opacity 0.3s ease;
}    

.offer_text_block_scrolled {
    font-size: 4.3rem;
    font-weight: 100;
    background: linear-gradient(90deg, #b872ff, #53a0ff);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.service_name_text {
    font-size: 4.3rem;
    font-weight: 100;
    word-wrap: normal;
    color: #fff;
    position: relative;
}

.last_text {
    margin-left: 86px;
    margin-bottom: 66px;
}

h2, h1 {
    font-size: 4.3rem;
    font-weight: 100;
    word-wrap: normal;
    color: #fff;
    position: relative;
}

.service_description_text {
    color: #81aabf;
    margin-top: 0px;
    margin-bottom: 24px;
    margin-left: 90px;
    margin-right: 50px;
    width:500px;
}

.request_a_quote_button {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 342px;
    height: 59px;
    color: #000;
    background: #53a0ff; /* Old browsers */
    background: -moz-linear-gradient(220deg, #b872ff 0%,#53a0ff 100%); /* FF3.6-15 */
    background: -webkit-linear-gradient(220deg, #b872ff 0%,#53a0ff 100%); /* Chrome10-25,Safari5.1-6 */
    background: linear-gradient(220deg, #b872ff 0%,#53a0ff 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#b872ff', endColorstr='#53a0ff',GradientType=1 ); /* IE6-9 fallback on horizontal gradient */
    text-transform: uppercase;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    border-radius: 5px;
    margin-left: 90px;
    transition: opacity 0.3s ease, box-shadow 0.2s ease;
    -webkit-transition: opacity 0.3s ease;
    -moz-transition: opacity 0.3s ease;
    -o-transition: opacity 0.3s ease;
    z-index: 10;
    -webkit-box-shadow: 0px 0px 0px 0px rgba(184,114,255,0);
    -moz-box-shadow: 0px 0px 0px 0px rgba(184,114,255,0);
    box-shadow: 0px 0px 0px 0px rgba(184,114,255,0);
}

.request_a_quote_button:hover {
    -webkit-box-shadow: 0px 0px 0px 4px rgba(184,114,255,0.5);
    -moz-box-shadow: 0px 0px 0px 4px rgba(184,114,255,0.5);
    box-shadow: 0px 0px 0px 4px rgba(184,114,255,0.5);
}

nav {
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    height: 85vh;
    align-items: flex-end;

}

.specific-page-count, .specific-page-count-second, .specific-page-count-second-na {
    font-size: 150px;
    font-weight: 100;
    float: left;
    color: #fff;
}

.specific-page-count {
    position: absolute;
    left:0;
}

.specific-page-count-second {
    position: absolute;
    top: 0;
    right: 0;
    transition: top 0.3s ease;
    -webkit-transition: top 0.3s ease;
    -moz-transition: top 0.3s ease;
    -o-transition: top 0.3s ease;
}

.specific-page-count-second-na {
    position: absolute;
    top: 120px;
    right: 0;
    transition: top 0.3s ease;
    -webkit-transition: top 0.3s ease;
    -moz-transition: top 0.3s ease;
    -o-transition: top 0.3s ease;
}

.specific-page-count-div {
    height: 170px;
    width: 170px;
    position: relative;
    overflow: hidden;
    display: flex
}

.all-pages {
    color: #fff;
}

.change-language {
    font-size: 20px;
    font-weight: 900;
}

.change-language .language-active {
    color: #fff;
}

 .lang-btn {
    color: #83909e;
}

.full-circle {
    width: 11px;
    height: 11px;
    background-color: rgba(255,255,255,1);
    border: 1px #fff solid;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    border-radius: 5px;
    margin-bottom: 12px;
    transition: background-color 0.5s ease;
}

.empty-circle {
    width: 11px;
    height: 11px;
    background-color: rgba(255,255,255,0);
    border: 1px #fff solid;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    border-radius: 5px;
    margin-bottom: 12px;
    transition: background-color 0.5s ease;
}

.service {
    display: flex;
    flex-direction: column;
    justify-content: center;
    height: 100vh;
    width: 95vw;
    overflow: visible;
    position: relative;
    /* pointer-events: none; */
}

.service1 {
    scroll-snap-align: start;
}

.service2 {
    scroll-snap-align: start end;
}

.service1 .h2-margin {
    margin-top: 8rem;
}

.clients_logo {
    box-sizing: border-box;
    width: 660px;
    height: 580px;
    position: absolute;
    right: 20vw;
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    align-content: space-around;
    justify-content: flex-start;
    align-items:  center;
}

.clients_logo div {
    margin: 4vh 1vw;
}

.clients_logo div img {
    max-width: 100%;
    max-height: 100%
}

.our_works {
    box-sizing: border-box;
    width: 570px;
    height: 570px;
    position: absolute;
    right: 20vw;
    -webkit-box-shadow: 39px 39px 0px 0px rgba(0,0,0,0.14);
    -moz-box-shadow: 39px 39px 0px 0px rgba(0,0,0,0.14);
    box-shadow: 39px 39px 0px 0px rgba(0,0,0,0.14);
    overflow: hidden;
}

.works_nav_buttons {
    width: 143px;
    height: 61px;
    background-color: rgba(6, 43, 58, 0.5);
    border: 1px #889eaa solid;
    display: inline-block;
    position: absolute;
    z-index: 10;
}

.works_line_buttons {
    width: 1px;
    height: 59px;
    background-color: #889eaa;
    margin: 0 auto;
    float: left;
}

.works_back_button {
    display: inline-block;
    width: 70px;
    height: 59px;
    float: left;
    padding-top: 19px;
    padding-left: 29px;
    transition: background-color 0.5s ease;
}

.works_back_button:hover {
    background-color: rgba(255, 255, 255, 0.1);
}

.works_front_button {
    display: inline-block;
    width: 70px;
    height: 59px;
    float: right;
    padding-top: 19px;
    padding-left: 30px;
    transition: background-color 0.5s ease;
}

.works_front_button:hover {
    background-color: rgba(255,255,255, .1) 
}

.contact_form {
    width: 565px;
    height: 512px;
    border: 0;
    position: absolute;
    right: 20vw;
    display: flex;
    flex-direction: column;
}

.contact_form input {
    width: 565px;
    height: 58px;
}

.contact_form textarea {
    width: 565px;
    resize: none;
    line-height: 58px;
    background-image: repeating-linear-gradient(to-bottom, transparent, transparent 57px, rgba(255,255,255,0.7) 58px);
}

::-webkit-input-placeholder {
    color: #fff;
}

::-moz-placeholder {
    color: #fff;ы
}

:-ms-input-placeholder {
    color: #fff;
}

:-moz-placeholder {
    color: #fff;
}


.inp_name {
    position: relative;
    width: 565px;
}
.label {
    position: absolute;
    top:16px;
    left: 0;
    font-size: 16px;
    color: #fff;
    font-weight: 900;
    transform-origin: 0 0;
    transition: all .2s ease;
}

input {
    -webkit-appearance: none;
    width: 565px;
    border: 0;
    padding: 12px 0;
    height: 48px;
    border-bottom: 1px solid #8499a4;
    background: none;
    border-radius: 0;
    color: #fff;
    font-size: 16px;
    font-weight: 900;
    outline: none;
}

input::-webkit-input-placeholder {
    color: #fff;
}
input::-moz-placeholder{
    color: #fff;
}
input::-ms-input-placeholder{
    color: #fff;
}
input::-moz-placeholder{
    color: #fff;
}

textarea {
    height: 255px;
    border: 0;
    background: none;
    color: #fff;
    font-size: 16px;
    font-weight: 900;
    outline: none;
    padding-top: 15px;
}

.text_area {
    height: 1px;
    width: 565px;
    background: #8499a4;
    margin-bottom: 15px;
}

button {
    width: 212px;
    height: 59px;
    background: #53a0ff; /* Old browsers */
    background: -moz-linear-gradient(220deg, #b872ff 0%,#53a0ff 100%); /* FF3.6-15 */
    background: -webkit-linear-gradient(220deg, #b872ff 0%,#53a0ff 100%); /* Chrome10-25,Safari5.1-6 */
    background: linear-gradient(220deg, #b872ff 0%,#53a0ff 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#b872ff', endColorstr='#53a0ff',GradientType=1 ); /* IE6-9 fallback on horizontal gradient */
    text-transform: uppercase;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    border-radius: 5px;
    border: none;
    font-size: 16px;
}

.slides {
    display: flex;
}

.thank-you {
    pointer-events: none;
    position: absolute;
    right: 20vw;
    text-align: center;
    color: #fff;
}

.hidden {
    display: none !important;
}